name              := """reactive-kafka-benchmark"""

scalaVersion := "2.11.7"

libraryDependencies ++= Seq(
  "com.typesafe.akka" %% "akka-stream-kafka" % "0.16"

)

resolvers += "Sonatype OSS Snapshots" at "https://oss.sonatype.org/conigtent/repositories/snapshots"

javaOptions ++= Seq("-Dconfig.resource=/application.conf")

/**
  * See http://pedrorijo.com/blog/scala-compiler-review-code-warnings/
  */
scalacOptions ++= Seq(
  "-deprecation", // Emit warning and location for usages of deprecated APIs.
  //"-Xfatal-warnings", // Fail the compilation if there are any warnings.
  "-Xlint:missing-interpolator", // A string literal appears to be missing an interpolator id.
  "-Ywarn-unused-import", // Warn when imports are unused
  "-Ywarn-unused", // Warn when local and private vals, vars, defs, and types are unused.
  "-Ywarn-dead-code", //  Warn when dead code is identified.
  "-Ywarn-numeric-widen" // Warn when numerics are widened.
)

